Game Develop Core: gd::StrExpressionMetadata Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
gd::StrExpressionMetadata Class Reference

Contains user-friendly infos about expressions, only at edittime, and members needed to setup an expression. More...

`#include <ExpressionMetadata.h>`

## Public Member Functions

| StrExpressionMetadata (const std::string &extensionNamespace, const std::string &name, const std::string &fullname, const std::string &description, const std::string &group, const std::string &smallicon)
StrExpressionMetadata & | SetHidden ()
| Set the expression as not shown in the IDE.
StrExpressionMetadata & | SetGroup (const std::string &str)
| Set the group of the instruction in the IDE.
gd::StrExpressionMetadata & | AddParameter (const std::string &type, const std::string &description, const std::string &optionalObjectType="", bool parameterIsOptional=false)
gd::StrExpressionMetadata & | AddCodeOnlyParameter (const std::string &type, const std::string &supplementaryInformation)
StrExpressionMetadata & | SetDefaultValue (std::string defaultValue_)
| StrExpressionMetadata ()
bool | IsShown () const
const std::string & | GetFullName () const
const std::string & | GetDescription () const
const std::string & | GetGroup () const
const wxBitmap & | GetBitmapIcon () const

## Public Attributes

std::vector < gd::ParameterMetadata > | parameters
ExpressionCodeGenerationInformation | codeExtraInformation

## Detailed Description

Contains user-friendly infos about expressions, only at edittime, and members needed to setup an expression.

## Constructor & Destructor Documentation

gd::StrExpressionMetadata::StrExpressionMetadata | ( | ) |  |

inline

Don't use this constructor. Only here to fulfill std::map requirements

## Member Function Documentation

gd::StrExpressionMetadata & gd::StrExpressionMetadata::AddCodeOnlyParameter | ( | const std::string & | type,
|  | const std::string & | supplementaryInformation
| ) |  |

See Also
  gd::InstructionMetadata::AddCodeOnlyParameter

gd::StrExpressionMetadata & gd::StrExpressionMetadata::AddParameter | ( | const std::string & | type,
|  | const std::string & | description,
|  | const std::string & | optionalObjectType = `""`,
|  | bool | parameterIsOptional = `false`
| ) |  |

See Also
  gd::InstructionMetadata::AddParameter

StrExpressionMetadata& gd::StrExpressionMetadata::SetDefaultValue | ( | std::string | defaultValue_) |  |

inline

Set the default value used in editor ( or if an optional parameter is empty during code generation ) for the latest added parameter.

See Also
  AddParameter

The documentation for this class was generated from the following files:

- ExpressionMetadata.h
- ExpressionMetadata.cpp